import { createStore } from 'vuex'

export default createStore({
  state: {
    score: 0,
    record: 0,
    restart: true,
    AcWingOS: "AcWingOS",
    access: "",
    refresh: "",
    ranklist: false,
    upgrade: false,
    music: false, // 默认无音乐
    audio: null,
    color: null, // 保存上一局的蛇体颜色
  },
  getters: {
  },
  mutations: {
    updateScore: (state, score) => {
      state.score = score;
    },
    updateRecord: (state, score) => {
      if (state.record < score) {
        state.record = score;
      }
    },
    updateRestart: (state, restart) => {
      state.restart = restart;
    },
    updateAccess: (state, access) => {
      state.access = access;
    },
    updateRefresh: (state, refresh) => {
      state.refresh = refresh;
    },
    updateRanklist: (state, ranklist) => {
      state.ranklist = ranklist;
    },
    updateNumber: (state,number) => {
      state.number = number;
    },
    updateSpeed: (state, speed) => {
      state.speed = speed;
    },
    updateNextStep:(state,upgrade) => {
      state.upgrade = upgrade;
    },
    updateMusic:(state,music) => {
      state.music= music;
    },
    updateAudio:(state,audio) => {
      state.audio = audio;
    },
    updateColor:(state,color) => {
      state.color = color;
    }
  },
  actions: {
  },
  modules: {
  }
})
